org.codehaus.plexus.container.initialization

## Class AbstractContainerInitializationPhase

- java.lang.Object
- - org.codehaus.plexus.container.initialization.AbstractContainerInitializationPhase

All Implemented Interfaces:
  ContainerInitializationPhase

Direct Known Subclasses:
  AbstractCoreComponentInitializationPhase, InitializeSystemPropertiesPhase

    public abstract class AbstractContainerInitializationPhase
    extends java.lang.Object
    implements ContainerInitializationPhase

Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.container.initialization.ContainerInitializationPhase

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractContainerInitializationPhase()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.container.initialization.ContainerInitializationPhase

`execute`

### Constructor Detail

#### AbstractContainerInitializationPhase

    public AbstractContainerInitializationPhase()